## org.hibernate.testing.junit
Annotation Type RequiresDialectFeature

    @Target(value={METHOD,TYPE})
    @Retention(value=RUNTIME)
    public @interface RequiresDialectFeature

Annotation used to indicate that a test should be run only when the current dialect supports the specified feature.

Author:
  Hardy Ferentschik

Required Element Summary
`Class<? extends DialectChecks>` `value`

Optional Element Summary
`String` `comment` Comment describing the reason why the feature is required.
`String` `jiraKey` The key of a JIRA issue which relates this this feature requirement.

Element Detail

### value

    public abstract Class<? extends DialectChecks> value

  Returns:
    The name of the dialect feature.

### comment

    public abstract String comment

  Comment describing the reason why the feature is required.

  Returns:
    The comment
  Default:
    ""

### jiraKey

    public abstract String jiraKey

  The key of a JIRA issue which relates this this feature requirement.

  Returns:
    The jira issue key
  Default:
    ""

Copyright © 2001-2010 Red Hat, Inc. All Rights Reserved.